export default {
  name: 'v-base',
  props: {
    options: Object,
  },
  methods: {
    click(link) {
      if(['string', 'number'].indexOf(typeof link) === -1) {
        const event = link;
        link = this.options.link;
        if(link) {
          event.stopPropagation();
        }
      }

      if(link === undefined) return;
      this.$router.push({
        name: 'page',
        params: {
          id: link
        }
      })
    },
    getComponent(node, def){
      return node.type ? `v-${node.type}` : def ? `v-${def}` : 'div';
    }
  }
}
