import Vue from 'vue';
import VueRouter from "vue-router";
import Page from '../views/page.vue';
import NotFound from '../views/notFound.vue';

Vue.use(VueRouter);

export default new VueRouter({
  mode: 'history',
  routes: [
    {
      path: '/',
      redirect: '/page/main',
    },
    {
      path: '/page/:id', component: Page,
      name: 'page',
    },
    {
      path: '*', component: NotFound,
    }
  ]
})
